Module javafx.graphics
Package javafx.animation

# Class TranslateTransition

java.lang.Object
javafx.animation.Animation
javafx.animation.Transition
javafx.animation.TranslateTransition

public final class TranslateTransition extends Transition
This `Transition` creates a move/translate animation that spans its `duration`. This is done by updating the `translateX`, `translateY` and `translateZ` variables of the `node` at regular interval.

It starts from the (`fromX`, `fromY`, `fromZ`) value if provided else uses the `node`'s (`translateX`, `translateY`, `translateZ`) value.

It stops at the (`toX`, `toY`, `toZ`) value if provided else it will use start value plus (`byX`, `byY`, `byZ`) value.

The (`toX`, `toY`, `toZ`) value takes precedence if both ( `toX`, `toY`, `toZ`) and (`byX`, `byY`, `byZ`) values are specified.

Code Segment Example:

     import javafx.scene.shape.*;
     import javafx.animation.*;

     ...

         Rectangle rect = new Rectangle (100, 40, 100, 100);
         rect.setArcHeight(50);
         rect.setArcWidth(50);
         rect.setFill(Color.VIOLET);

         TranslateTransition tt = new TranslateTransition(Duration.millis(2000), rect);
         tt.setByX(200f);
         tt.setCycleCount(4f);
         tt.setAutoReverse(true);

         tt.play();

     ...

Since:
  JavaFX 2.0
See Also:
  - `Transition`
  - `Animation`

## Property Summary

Properties
Type
Property
Description
`final DoubleProperty`
`byX`
Specifies the incremented stop X coordinate value, from the start, of this `TranslateTransition`.
`final DoubleProperty`
`byY`
Specifies the incremented stop Y coordinate value, from the start, of this `TranslateTransition`.
`final DoubleProperty`
`byZ`
Specifies the incremented stop Z coordinate value, from the start, of this `TranslateTransition`.
`final ObjectProperty<Duration>`
`duration`
The duration of this `TranslateTransition`.
`final DoubleProperty`
`fromX`
Specifies the start X coordinate value of this `TranslateTransition`.
`final DoubleProperty`
`fromY`
Specifies the start Y coordinate value of this `TranslateTransition`.
`final DoubleProperty`
`fromZ`
Specifies the start Z coordinate value of this `TranslateTransition`.
`final ObjectProperty<Node>`
`node`
The target node of this `TranslateTransition`.
`final DoubleProperty`
`toX`
Specifies the stop X coordinate value of this `TranslateTransition`.
`final DoubleProperty`
`toY`
Specifies the stop Y coordinate value of this `TranslateTransition`.
`final DoubleProperty`
`toZ`
Specifies the stop Z coordinate value of this `TranslateTransition`.

### Properties inherited from class javafx.animation.Transition

`interpolator`

### Properties inherited from class javafx.animation.Animation

`autoReverse, currentRate, currentTime, cycleCount, cycleDuration, delay, onFinished, rate, status, totalDuration`

## Nested Class Summary

## Nested classes/interfaces inherited from class javafx.animation.Animation

`Animation.Status`

## Field Summary

### Fields inherited from class javafx.animation.Animation

`INDEFINITE`

## Constructor Summary

Constructors
Constructor
Description
`TranslateTransition()`
The constructor of `TranslateTransition`
`TranslateTransition(Duration duration)`
The constructor of `TranslateTransition`
`TranslateTransition(Duration duration, Node node)`
The constructor of `TranslateTransition`

## Method Summary

Modifier and Type
Method
Description
`final DoubleProperty`
`byXProperty()`
Specifies the incremented stop X coordinate value, from the start, of this `TranslateTransition`.
`final DoubleProperty`
`byYProperty()`
Specifies the incremented stop Y coordinate value, from the start, of this `TranslateTransition`.
`final DoubleProperty`
`byZProperty()`
Specifies the incremented stop Z coordinate value, from the start, of this `TranslateTransition`.
`final ObjectProperty<Duration>`
`durationProperty()`
The duration of this `TranslateTransition`.
`final DoubleProperty`
`fromXProperty()`
Specifies the start X coordinate value of this `TranslateTransition`.
`final DoubleProperty`
`fromYProperty()`
Specifies the start Y coordinate value of this `TranslateTransition`.
`final DoubleProperty`
`fromZProperty()`
Specifies the start Z coordinate value of this `TranslateTransition`.
`final double`
`getByX()`
Gets the value of the `byX` property.
`final double`
`getByY()`
Gets the value of the `byY` property.
`final double`
`getByZ()`
Gets the value of the `byZ` property.
`final Duration`
`getDuration()`
Gets the value of the `duration` property.
`final double`
`getFromX()`
Gets the value of the `fromX` property.
`final double`
`getFromY()`
Gets the value of the `fromY` property.
`final double`
`getFromZ()`
Gets the value of the `fromZ` property.
`final Node`
`getNode()`
Gets the value of the `node` property.
`final double`
`getToX()`
Gets the value of the `toX` property.
`final double`
`getToY()`
Gets the value of the `toY` property.
`final double`
`getToZ()`
Gets the value of the `toZ` property.
`void`
`interpolate(double frac)`
The method `interpolate()` has to be provided by implementations of `Transition`.
`final ObjectProperty<Node>`
`nodeProperty()`
The target node of this `TranslateTransition`.
`final void`
`setByX(double value)`
Sets the value of the `byX` property.
`final void`
`setByY(double value)`
Sets the value of the `byY` property.
`final void`
`setByZ(double value)`
Sets the value of the `byZ` property.
`final void`
`setDuration(Duration value)`
Sets the value of the `duration` property.
`final void`
`setFromX(double value)`
Sets the value of the `fromX` property.
`final void`
`setFromY(double value)`
Sets the value of the `fromY` property.
`final void`
`setFromZ(double value)`
Sets the value of the `fromZ` property.
`final void`
`setNode(Node value)`
Sets the value of the `node` property.
`final void`
`setToX(double value)`
Sets the value of the `toX` property.
`final void`
`setToY(double value)`
Sets the value of the `toY` property.
`final void`
`setToZ(double value)`
Sets the value of the `toZ` property.
`final DoubleProperty`
`toXProperty()`
Specifies the stop X coordinate value of this `TranslateTransition`.
`final DoubleProperty`
`toYProperty()`
Specifies the stop Y coordinate value of this `TranslateTransition`.
`final DoubleProperty`
`toZProperty()`
Specifies the stop Z coordinate value of this `TranslateTransition`.

### Methods inherited from class javafx.animation.Transition

`getCachedInterpolator, getInterpolator, getParentTargetNode, interpolatorProperty, setInterpolator`

### Methods inherited from class javafx.animation.Animation

`autoReverseProperty, currentRateProperty, currentTimeProperty, cycleCountProperty, cycleDurationProperty, delayProperty, getCuePoints, getCurrentRate, getCurrentTime, getCycleCount, getCycleDuration, getDelay, getOnFinished, getRate, getStatus, getTargetFramerate, getTotalDuration, isAutoReverse, jumpTo, jumpTo, onFinishedProperty, pause, play, playFrom, playFrom, playFromStart, rateProperty, setAutoReverse, setCycleCount, setCycleDuration, setDelay, setOnFinished, setRate, setStatus, statusProperty, stop, totalDurationProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Property Details

### node

public final ObjectProperty<Node> nodeProperty
The target node of this `TranslateTransition`.

It is not possible to change the target `node` of a running `TranslateTransition`. If the value of `node` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

See Also:
  - `getNode()`
  - `setNode(Node)`
  - `nodeProperty()`

### duration

public final ObjectProperty<Duration> durationProperty
The duration of this `TranslateTransition`.

It is not possible to change the `duration` of a running `TranslateTransition`. If the value of `duration` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Note: While the unit of `duration` is a millisecond, the granularity depends on the underlying operating system and will in general be larger. For example animations on desktop systems usually run with a maximum of 60fps which gives a granularity of ~17 ms. Setting duration to value lower than `Duration.ZERO` will result in `IllegalArgumentException`.

Default value:
  400ms
See Also:
  - `getDuration()`
  - `setDuration(Duration)`
  - `durationProperty()`

### fromX

public final DoubleProperty fromXProperty
Specifies the start X coordinate value of this `TranslateTransition`.

It is not possible to change `fromX` of a running `TranslateTransition`. If the value of `fromX` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
See Also:
  - `getFromX()`
  - `setFromX(double)`
  - `fromXProperty()`

### fromY

public final DoubleProperty fromYProperty
Specifies the start Y coordinate value of this `TranslateTransition`.

It is not possible to change `fromY` of a running `TranslateTransition`. If the value of `fromY` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
See Also:
  - `getFromY()`
  - `setFromY(double)`
  - `fromYProperty()`

### fromZ

public final DoubleProperty fromZProperty
Specifies the start Z coordinate value of this `TranslateTransition`.

It is not possible to change `fromZ` of a running `TranslateTransition`. If the value of `fromZ` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
See Also:
  - `getFromZ()`
  - `setFromZ(double)`
  - `fromZProperty()`

### toX

public final DoubleProperty toXProperty
Specifies the stop X coordinate value of this `TranslateTransition`.

It is not possible to change `toX` of a running `TranslateTransition`. If the value of `toX` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
See Also:
  - `getToX()`
  - `setToX(double)`
  - `toXProperty()`

### toY

public final DoubleProperty toYProperty
Specifies the stop Y coordinate value of this `TranslateTransition`.

It is not possible to change `toY` of a running `TranslateTransition`. If the value of `toY` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
See Also:
  - `getToY()`
  - `setToY(double)`
  - `toYProperty()`

### toZ

public final DoubleProperty toZProperty
Specifies the stop Z coordinate value of this `TranslateTransition`.

It is not possible to change `toZ` of a running `TranslateTransition`. If the value of `toZ` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
See Also:
  - `getToZ()`
  - `setToZ(double)`
  - `toZProperty()`

### byX

public final DoubleProperty byXProperty
Specifies the incremented stop X coordinate value, from the start, of this `TranslateTransition`.

It is not possible to change `byX` of a running `TranslateTransition`. If the value of `byX` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

See Also:
  - `getByX()`
  - `setByX(double)`
  - `byXProperty()`

### byY

public final DoubleProperty byYProperty
Specifies the incremented stop Y coordinate value, from the start, of this `TranslateTransition`.

It is not possible to change `byY` of a running `TranslateTransition`. If the value of `byY` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

See Also:
  - `getByY()`
  - `setByY(double)`
  - `byYProperty()`

### byZ

public final DoubleProperty byZProperty
Specifies the incremented stop Z coordinate value, from the start, of this `TranslateTransition`.

It is not possible to change `byZ` of a running `TranslateTransition`. If the value of `byZ` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

See Also:
  - `getByZ()`
  - `setByZ(double)`
  - `byZProperty()`

## Constructor Details

### TranslateTransition

public TranslateTransition(Duration duration, Node node)
The constructor of `TranslateTransition`

Parameters:
  `duration` - The duration of the `TranslateTransition`
  `node` - The `node` which will be translated

### TranslateTransition

public TranslateTransition(Duration duration)
The constructor of `TranslateTransition`

Parameters:
  `duration` - The duration of the `TranslateTransition`

### TranslateTransition

public TranslateTransition()
The constructor of `TranslateTransition`

## Method Details

### setNode

public final void setNode(Node value)
Sets the value of the `node` property.

Property description:
  The target node of this `TranslateTransition`.

  It is not possible to change the target `node` of a running `TranslateTransition`. If the value of `node` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Parameters:
  `value` - the value for the `node` property
See Also:
  - `getNode()`
  - `nodeProperty()`

### getNode

public final Node getNode()
Gets the value of the `node` property.

Property description:
  The target node of this `TranslateTransition`.

  It is not possible to change the target `node` of a running `TranslateTransition`. If the value of `node` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Returns:
  the value of the `node` property
See Also:
  - `setNode(Node)`
  - `nodeProperty()`

### nodeProperty

public final ObjectProperty<Node> nodeProperty()
The target node of this `TranslateTransition`.

It is not possible to change the target `node` of a running `TranslateTransition`. If the value of `node` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Returns:
  the `node` property
See Also:
  - `getNode()`
  - `setNode(Node)`

### setDuration

public final void setDuration(Duration value)
Sets the value of the `duration` property.

Property description:
  The duration of this `TranslateTransition`.

  It is not possible to change the `duration` of a running `TranslateTransition`. If the value of `duration` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

  Note: While the unit of `duration` is a millisecond, the granularity depends on the underlying operating system and will in general be larger. For example animations on desktop systems usually run with a maximum of 60fps which gives a granularity of ~17 ms. Setting duration to value lower than `Duration.ZERO` will result in `IllegalArgumentException`.

Default value:
  400ms
Parameters:
  `value` - the value for the `duration` property
See Also:
  - `getDuration()`
  - `durationProperty()`

### getDuration

public final Duration getDuration()
Gets the value of the `duration` property.

Property description:
  The duration of this `TranslateTransition`.

  It is not possible to change the `duration` of a running `TranslateTransition`. If the value of `duration` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

  Note: While the unit of `duration` is a millisecond, the granularity depends on the underlying operating system and will in general be larger. For example animations on desktop systems usually run with a maximum of 60fps which gives a granularity of ~17 ms. Setting duration to value lower than `Duration.ZERO` will result in `IllegalArgumentException`.

Default value:
  400ms
Returns:
  the value of the `duration` property
See Also:
  - `setDuration(Duration)`
  - `durationProperty()`

### durationProperty

public final ObjectProperty<Duration> durationProperty()
The duration of this `TranslateTransition`.

It is not possible to change the `duration` of a running `TranslateTransition`. If the value of `duration` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Note: While the unit of `duration` is a millisecond, the granularity depends on the underlying operating system and will in general be larger. For example animations on desktop systems usually run with a maximum of 60fps which gives a granularity of ~17 ms. Setting duration to value lower than `Duration.ZERO` will result in `IllegalArgumentException`.

Default value:
  400ms
Returns:
  the `duration` property
See Also:
  - `getDuration()`
  - `setDuration(Duration)`

### setFromX

public final void setFromX(double value)
Sets the value of the `fromX` property.

Property description:
  Specifies the start X coordinate value of this `TranslateTransition`.

  It is not possible to change `fromX` of a running `TranslateTransition`. If the value of `fromX` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Parameters:
  `value` - the value for the `fromX` property
See Also:
  - `getFromX()`
  - `fromXProperty()`

### getFromX

public final double getFromX()
Gets the value of the `fromX` property.

Property description:
  Specifies the start X coordinate value of this `TranslateTransition`.

  It is not possible to change `fromX` of a running `TranslateTransition`. If the value of `fromX` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Returns:
  the value of the `fromX` property
See Also:
  - `setFromX(double)`
  - `fromXProperty()`

### fromXProperty

public final DoubleProperty fromXProperty()
Specifies the start X coordinate value of this `TranslateTransition`.

It is not possible to change `fromX` of a running `TranslateTransition`. If the value of `fromX` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Returns:
  the `fromX` property
See Also:
  - `getFromX()`
  - `setFromX(double)`

### setFromY

public final void setFromY(double value)
Sets the value of the `fromY` property.

Property description:
  Specifies the start Y coordinate value of this `TranslateTransition`.

  It is not possible to change `fromY` of a running `TranslateTransition`. If the value of `fromY` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Parameters:
  `value` - the value for the `fromY` property
See Also:
  - `getFromY()`
  - `fromYProperty()`

### getFromY

public final double getFromY()
Gets the value of the `fromY` property.

Property description:
  Specifies the start Y coordinate value of this `TranslateTransition`.

  It is not possible to change `fromY` of a running `TranslateTransition`. If the value of `fromY` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Returns:
  the value of the `fromY` property
See Also:
  - `setFromY(double)`
  - `fromYProperty()`

### fromYProperty

public final DoubleProperty fromYProperty()
Specifies the start Y coordinate value of this `TranslateTransition`.

It is not possible to change `fromY` of a running `TranslateTransition`. If the value of `fromY` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Returns:
  the `fromY` property
See Also:
  - `getFromY()`
  - `setFromY(double)`

### setFromZ

public final void setFromZ(double value)
Sets the value of the `fromZ` property.

Property description:
  Specifies the start Z coordinate value of this `TranslateTransition`.

  It is not possible to change `fromZ` of a running `TranslateTransition`. If the value of `fromZ` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Parameters:
  `value` - the value for the `fromZ` property
See Also:
  - `getFromZ()`
  - `fromZProperty()`

### getFromZ

public final double getFromZ()
Gets the value of the `fromZ` property.

Property description:
  Specifies the start Z coordinate value of this `TranslateTransition`.

  It is not possible to change `fromZ` of a running `TranslateTransition`. If the value of `fromZ` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Returns:
  the value of the `fromZ` property
See Also:
  - `setFromZ(double)`
  - `fromZProperty()`

### fromZProperty

public final DoubleProperty fromZProperty()
Specifies the start Z coordinate value of this `TranslateTransition`.

It is not possible to change `fromZ` of a running `TranslateTransition`. If the value of `fromZ` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Returns:
  the `fromZ` property
See Also:
  - `getFromZ()`
  - `setFromZ(double)`

### setToX

public final void setToX(double value)
Sets the value of the `toX` property.

Property description:
  Specifies the stop X coordinate value of this `TranslateTransition`.

  It is not possible to change `toX` of a running `TranslateTransition`. If the value of `toX` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Parameters:
  `value` - the value for the `toX` property
See Also:
  - `getToX()`
  - `toXProperty()`

### getToX

public final double getToX()
Gets the value of the `toX` property.

Property description:
  Specifies the stop X coordinate value of this `TranslateTransition`.

  It is not possible to change `toX` of a running `TranslateTransition`. If the value of `toX` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Returns:
  the value of the `toX` property
See Also:
  - `setToX(double)`
  - `toXProperty()`

### toXProperty

public final DoubleProperty toXProperty()
Specifies the stop X coordinate value of this `TranslateTransition`.

It is not possible to change `toX` of a running `TranslateTransition`. If the value of `toX` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Returns:
  the `toX` property
See Also:
  - `getToX()`
  - `setToX(double)`

### setToY

public final void setToY(double value)
Sets the value of the `toY` property.

Property description:
  Specifies the stop Y coordinate value of this `TranslateTransition`.

  It is not possible to change `toY` of a running `TranslateTransition`. If the value of `toY` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Parameters:
  `value` - the value for the `toY` property
See Also:
  - `getToY()`
  - `toYProperty()`

### getToY

public final double getToY()
Gets the value of the `toY` property.

Property description:
  Specifies the stop Y coordinate value of this `TranslateTransition`.

  It is not possible to change `toY` of a running `TranslateTransition`. If the value of `toY` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Returns:
  the value of the `toY` property
See Also:
  - `setToY(double)`
  - `toYProperty()`

### toYProperty

public final DoubleProperty toYProperty()
Specifies the stop Y coordinate value of this `TranslateTransition`.

It is not possible to change `toY` of a running `TranslateTransition`. If the value of `toY` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Returns:
  the `toY` property
See Also:
  - `getToY()`
  - `setToY(double)`

### setToZ

public final void setToZ(double value)
Sets the value of the `toZ` property.

Property description:
  Specifies the stop Z coordinate value of this `TranslateTransition`.

  It is not possible to change `toZ` of a running `TranslateTransition`. If the value of `toZ` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Parameters:
  `value` - the value for the `toZ` property
See Also:
  - `getToZ()`
  - `toZProperty()`

### getToZ

public final double getToZ()
Gets the value of the `toZ` property.

Property description:
  Specifies the stop Z coordinate value of this `TranslateTransition`.

  It is not possible to change `toZ` of a running `TranslateTransition`. If the value of `toZ` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Returns:
  the value of the `toZ` property
See Also:
  - `setToZ(double)`
  - `toZProperty()`

### toZProperty

public final DoubleProperty toZProperty()
Specifies the stop Z coordinate value of this `TranslateTransition`.

It is not possible to change `toZ` of a running `TranslateTransition`. If the value of `toZ` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Default value:
  `Double.NaN`
Returns:
  the `toZ` property
See Also:
  - `getToZ()`
  - `setToZ(double)`

### setByX

public final void setByX(double value)
Sets the value of the `byX` property.

Property description:
  Specifies the incremented stop X coordinate value, from the start, of this `TranslateTransition`.

  It is not possible to change `byX` of a running `TranslateTransition`. If the value of `byX` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Parameters:
  `value` - the value for the `byX` property
See Also:
  - `getByX()`
  - `byXProperty()`

### getByX

public final double getByX()
Gets the value of the `byX` property.

Property description:
  Specifies the incremented stop X coordinate value, from the start, of this `TranslateTransition`.

  It is not possible to change `byX` of a running `TranslateTransition`. If the value of `byX` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Returns:
  the value of the `byX` property
See Also:
  - `setByX(double)`
  - `byXProperty()`

### byXProperty

public final DoubleProperty byXProperty()
Specifies the incremented stop X coordinate value, from the start, of this `TranslateTransition`.

It is not possible to change `byX` of a running `TranslateTransition`. If the value of `byX` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Returns:
  the `byX` property
See Also:
  - `getByX()`
  - `setByX(double)`

### setByY

public final void setByY(double value)
Sets the value of the `byY` property.

Property description:
  Specifies the incremented stop Y coordinate value, from the start, of this `TranslateTransition`.

  It is not possible to change `byY` of a running `TranslateTransition`. If the value of `byY` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Parameters:
  `value` - the value for the `byY` property
See Also:
  - `getByY()`
  - `byYProperty()`

### getByY

public final double getByY()
Gets the value of the `byY` property.

Property description:
  Specifies the incremented stop Y coordinate value, from the start, of this `TranslateTransition`.

  It is not possible to change `byY` of a running `TranslateTransition`. If the value of `byY` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Returns:
  the value of the `byY` property
See Also:
  - `setByY(double)`
  - `byYProperty()`

### byYProperty

public final DoubleProperty byYProperty()
Specifies the incremented stop Y coordinate value, from the start, of this `TranslateTransition`.

It is not possible to change `byY` of a running `TranslateTransition`. If the value of `byY` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Returns:
  the `byY` property
See Also:
  - `getByY()`
  - `setByY(double)`

### setByZ

public final void setByZ(double value)
Sets the value of the `byZ` property.

Property description:
  Specifies the incremented stop Z coordinate value, from the start, of this `TranslateTransition`.

  It is not possible to change `byZ` of a running `TranslateTransition`. If the value of `byZ` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Parameters:
  `value` - the value for the `byZ` property
See Also:
  - `getByZ()`
  - `byZProperty()`

### getByZ

public final double getByZ()
Gets the value of the `byZ` property.

Property description:
  Specifies the incremented stop Z coordinate value, from the start, of this `TranslateTransition`.

  It is not possible to change `byZ` of a running `TranslateTransition`. If the value of `byZ` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Returns:
  the value of the `byZ` property
See Also:
  - `setByZ(double)`
  - `byZProperty()`

### byZProperty

public final DoubleProperty byZProperty()
Specifies the incremented stop Z coordinate value, from the start, of this `TranslateTransition`.

It is not possible to change `byZ` of a running `TranslateTransition`. If the value of `byZ` is changed for a running `TranslateTransition`, the animation has to be stopped and started again to pick up the new value.

Returns:
  the `byZ` property
See Also:
  - `getByZ()`
  - `setByZ(double)`

### interpolate

public void interpolate(double frac)
The method `interpolate()` has to be provided by implementations of `Transition`. While a `Transition` is running, this method is called in every frame. The parameter defines the current position with the animation. At the start, the fraction will be `0.0` and at the end it will be `1.0`. How the parameter increases, depends on the `interpolator`, e.g. if the `interpolator` is `Interpolator.LINEAR`, the fraction will increase linear. This method must not be called by the user directly.

Specified by:
  `interpolate` in class `Transition`
Parameters:
  `frac` - The relative position